import React from 'react';
import {View, StyleSheet} from 'react-native';
import Background from './Background';
import Btn from './Button';
import {darkGreen, green} from '../constants/Constants';

const Home = props => {
  return (
    <Background>
      <View style={{marginHorizontal: 20, marginVertical: 100}}>
        <Btn
          bgColor={green}
          textColor="white"
          btnLabel="Login"
          Press={() => props.navigation.navigate('Login')}
        />
        <Btn
          bgColor="white"
          textColor={darkGreen}
          btnLabel="Signup"
          Press={() => props.navigation.navigate('Signup')}
        />
        <Btn
          bgColor="white"
          textColor="blue"
          btnLabel="Products"
          Press={() => props.navigation.navigate('MedicineList')}
        />
      </View>
    </Background>
  );
};

const styles = StyleSheet.create({});

export default Home;
